%define upstream_name    Business-CreditCard
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Credit card number check digit test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
These subroutines tell you whether a credit card number is self-consistent
-- whether the last digit of the number is a valid checksum for the
preceding digits.

The validate() subroutine returns 1 if the card number provided passes the
checksum test, and 0 otherwise.

The cardtype() subroutine returns a string containing the type of card. The
list of possible return values is more comprehensive than it used to be,
but additions are still most welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc BINS Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.350.0-3pclos2017
- rebuild against updates

